> ## Documentation Index
> Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add entry to custom list



## OpenAPI

````yaml openapi/watchlist.yaml post /watchlist/lists/custom/{id}/entries
openapi: 3.0.3
info:
  title: TXCloud Watchlist API
  version: 1.0.0
  description: >
    AML/CFT screening against global sanctions lists, PEP databases, and adverse
    media.
servers:
  - url: https://api.txcloud.io/v1
  - url: https://sandbox.api.txcloud.io/v1
security:
  - BearerAuth: []
tags:
  - name: Screening
    description: Entity screening
  - name: Matches
    description: Match management
  - name: Monitoring
    description: Ongoing monitoring
  - name: Lists
    description: Watchlist management
  - name: Analytics
    description: Screening analytics
paths:
  /watchlist/lists/custom/{id}/entries:
    post:
      tags:
        - Lists
      summary: Add entry to custom list
      operationId: addListEntry
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomListEntry'
      responses:
        '201':
          description: Entry added
components:
  schemas:
    CustomListEntry:
      type: object
      required:
        - name
        - type
      properties:
        name:
          type: string
        type:
          type: string
        reason:
          type: string
        document_numbers:
          type: array
          items:
            type: string
        notes:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````